<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#ffffff"
    android:orientation="vertical">

    <com.daimajia.swipe.SwipeLayout
        android:id="@+id/swipe"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <!-- Bottom View Start -->
        <LinearLayout
            android:id="@+id/button_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal">

            <android.support.v4.widget.Space
                android:layout_width="@dimen/padding_5dp"
                android:layout_height="wrap_content" />

            <com.innovattic.font.FontButton
                android:id="@+id/delete_button"
                style="?button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Reject"
                android:textAllCaps="false" />

            <android.support.v4.widget.Space
                android:layout_width="@dimen/padding_5dp"
                android:layout_height="wrap_content" />

            <com.innovattic.font.FontButton
                android:id="@+id/block_button"
                style="?button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Block"
                android:textAllCaps="false" />
        </LinearLayout>
        <!-- Bottom View End -->

        <!-- Surface View Start -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#ffffff"
            android:orientation="horizontal"
            android:paddingBottom="@dimen/padding_12dp"
            android:paddingLeft="@dimen/padding_10dp"
            android:paddingRight="@dimen/padding_10dp"
            android:paddingTop="@dimen/padding_15dp">

            <com.innovattic.font.FontTextView
                android:id="@+id/name_textview"
                style="?print_txt"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:maxLines="1"
                android:textColor="#000000"
                tools:text="@sample/devices.json/data/name" />

            <android.support.v4.widget.Space
                android:layout_width="@dimen/padding_5dp"
                android:layout_height="wrap_content" />

            <com.innovattic.font.FontTextView
                android:id="@+id/serial_no_textview"
                style="?print_txt"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="2"
                android:maxLines="2"
                android:textColor="#000000"
                tools:text="@sample/devices.json/data/id" />

            <com.innovattic.font.FontTextView
                android:id="@+id/status_textview"
                style="?displaySmall"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.6"
                android:maxLines="1"
                android:paddingBottom="@dimen/padding_3dp"
                android:paddingLeft="@dimen/padding_3dp"
                android:paddingRight="@dimen/padding_3dp"
                android:paddingTop="@dimen/padding_1dp"
                android:textAlignment="center"
                android:textColor="#FFFFFF"
                tools:text="Accepted" />

        </LinearLayout>

        <!-- Surface View End -->
    </com.daimajia.swipe.SwipeLayout>

    <View
        android:id="@+id/separator"
        android:layout_width="match_parent"
        android:layout_height="0.1dp"
        android:layout_marginTop="8dp"
        android:background="@color/md_blue_grey_200" />
</LinearLayout>